Lingua-TreeTagger v0.10 Perl 5 v5.22.4 darwin-thread-multi-2level

Status
Unknown
From
Nigel Horne
Dist
Lingua-TreeTagger v0.10
Platform
Perl 5 v5.22.4 darwin-thread-multi-2level
Date
2017-09-24T04:07:49
ID
ede3c15a-a0dd-11e7-ab1c-d52d3f478721
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Aris Xanthos,

This is a computer-generated report for Lingua-TreeTagger-0.10
on perl 5.22.4, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, attempting to
test your distribution gave an inconclusive result.

This could be because your distribution had an error during the make/build
stage, did not define tests, tests could not be found, because your tests were
interrupted before they finished, or because the results of the tests could not
be parsed.  You may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin/perl5.22.4 Build.PL':

Checking prerequisites...
  build_requires:
    !  Test::More::UTF8 is not installed

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Please enter the full path to the TreeTagger executable:  ERROR: This build seems to be unattended, but there is no default value
for this question.  Aborting.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module        Need Have   
    ------------- ---- -------
    File::Spec    0    3.56_02
    File::Which   0    1.21   
    Module::Build 0.42 0.4224 


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    LC_ALL = POSIX
    LDFLAGS = 
    PATH = /Users/hornenj/perl5/perlbrew/bin:/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin:/Users/hornenj/perl5/perlbrew/bin:/Users/hornenj/perl5/perlbrew/perls/perl-5.27.3/bin:/Users/hornenj/bin:/sw/bin:/usr/bin:/bin:/usr/X11R6/bin
    PERL = /Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin/perl5.22.4
    PERL5LIB = 
    PERL5OPT = -I/var/folders/pz/pd7y1qjs6s3cbk170cw50fjc000c61/T/CPAN-Reporter-lib-wGZ4 -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 28414
    PERL5_CPAN_IS_EXECUTING = 
    PERL5_CPAN_IS_RUNNING = 28414
    PERL5_MINISMOKEBOX = 0.68
    PERLBREW_BASHRC_VERSION = 0.80
    PERLBREW_HOME = /Users/hornenj/.perlbrew
    PERLBREW_LIB = 
    PERLBREW_MANPATH = /Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/man
    PERLBREW_PATH = /Users/hornenj/perl5/perlbrew/bin:/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin
    PERLBREW_PERL = perl-5.22.4
    PERLBREW_ROOT = /Users/hornenj/perl5/perlbrew
    PERLBREW_VERSION = 0.80
    PERL_AUTOINSTALL = --defaultdeps
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_LOCAL_LIB_ROOT = 
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm-256color
    TMPDIR = /var/folders/pz/pd7y1qjs6s3cbk170cw50fjc000c61/T/

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin/perl5.22.4
    $UID/$EUID = 12481 / 12481
    $GID = 14 14 5344 37191 527 12 62 204 399 206 37223 241 223
    $EGID = 14 14 5344 37191 527 12 62 204 399 206 37223 241 223

Perl module toolchain versions installed:

    Module              Have      
    ------------------- ----------
    CPAN                2.16      
    CPAN::Meta          2.150001  
    Cwd                 3.56_02   
    ExtUtils::CBuilder  0.280221  
    ExtUtils::Command   7.30      
    ExtUtils::Install   2.06      
    ExtUtils::MakeMaker 7.30      
    ExtUtils::Manifest  1.70      
    ExtUtils::ParseXS   3.28      
    File::Spec          3.56_02   
    JSON                2.94      
    JSON::PP            2.27300_01
    Module::Build       0.4224    
    Module::Signature   n/a       
    Parse::CPAN::Meta   1.4414_001
    Test::Harness       3.35_01   
    Test::More          1.302086  
    YAML                1.23      
    YAML::Syck          1.30      
    version             0.9909    


--

Summary of my perl5 (revision 5 version 22 subversion 4) configuration:
   
  Platform:
    osname=darwin, osvers=15.6.0, archname=darwin-thread-multi-2level
    uname='darwin ncbimac2027 15.6.0 darwin kernel version 15.6.0: fri feb 17 10:21:18 pst 2017; root:xnu-3248.60.11.4.1~1release_x86_64 x86_64 '
    config_args='-de -Dprefix=/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4 -Duseithreads -Dusemultiplicity -Dusedevel -Accflags=-O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -fomit-frame-pointer -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -ftree-vectorize -mmmx -msse -mfpmath=sse -msse2 -msse3 -msse4.1 -msse4.2 -fdiagnostics-color=auto -mtune=native -march=native -I/Users/hornenj/openssl/include -Acc=cc -Aeval:scriptdir=/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc=' cc', ccflags ='-fno-common -DPERL_DARWIN -O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -fomit-frame-pointer -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -ftree-vectorize -mmmx -msse -mfpmath=sse -msse2 -msse3 -msse4.1 -msse4.2 -fdiagnostics-color=auto -mtune=native -march=native -I/Users/hornenj/openssl/include -fno-strict-aliasing -fstack-protector-strong -I/usr/local/include',
    optimize='-O3',
    cppflags='-fno-common -DPERL_DARWIN -O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -fomit-frame-pointer -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -ftree-vectorize -mmmx -msse -mfpmath=sse -msse2 -msse3 -msse4.1 -msse4.2 -fdiagnostics-color=auto -mtune=native -march=native -I/Users/hornenj/openssl/include -fno-strict-aliasing -fstack-protector-strong -I/usr/local/include'
    ccversion='', gccversion='4.2.1 Compatible Apple LLVM 8.0.0 (clang-800.0.42.1)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/8.0.0/lib /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib /usr/lib
    libs=-lpthread -ldbm -ldl -lm -lutil -lc
    perllibs=-lpthread -ldl -lm -lutil -lc
    libc=, so=dylib, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
    cccdlflags=' ', lddlflags=' -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES MULTIPLICITY PERLIO_LAYERS
                        PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_NEW_COPY_ON_WRITE PERL_PRESERVE_IVUV
                        PERL_USE_DEVEL USE_64_BIT_ALL USE_64_BIT_INT
                        USE_ITHREADS USE_LARGE_FILES USE_LOCALE
                        USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_LOCALE_TIME USE_PERLIO
                        USE_PERL_ATOF USE_REENTRANT_API
  Locally applied patches:
	Devel::PatchPerl 1.30
  Built under darwin
  Compiled at Jul 17 2017 13:10:17
  %ENV:
    PERL="/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin/perl5.22.4"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="28414"
    PERL5_CPAN_IS_EXECUTING=""
    PERL5_CPAN_IS_RUNNING="28414"
    PERL5_MINISMOKEBOX="0.68"
    PERLBREW_BASHRC_VERSION="0.80"
    PERLBREW_HOME="/Users/hornenj/.perlbrew"
    PERLBREW_LIB=""
    PERLBREW_MANPATH="/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/man"
    PERLBREW_PATH="/Users/hornenj/perl5/perlbrew/bin:/Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/bin"
    PERLBREW_PERL="perl-5.22.4"
    PERLBREW_ROOT="/Users/hornenj/perl5/perlbrew"
    PERLBREW_VERSION="0.80"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_LOCAL_LIB_ROOT=""
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/lib/site_perl/5.22.4/darwin-thread-multi-2level
    /Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/lib/site_perl/5.22.4
    /Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/lib/5.22.4/darwin-thread-multi-2level
    /Users/hornenj/perl5/perlbrew/perls/perl-5.22.4/lib/5.22.4
    .